{
  "flutter": {
    "platforms": {
      "android": {
        "default": {
          "projectId": "em2rp-951dc",
          "appId": "1:341201262902:android:8c9a9e340ecb58665a3b97",
          "fileOutput": "android/app/google-services.json"
        }
      },
      "dart": {
        "lib/firebase_options.dart": {
          "projectId": "em2rp-951dc",
          "configurations": {
            "android": "1:341201262902:android:8c9a9e340ecb58665a3b97",
            "ios": "1:341201262902:ios:767281c23dd9e76a5a3b97",
            "macos": "1:341201262902:ios:767281c23dd9e76a5a3b97",
            "web": "1:341201262902:web:bb70b5ff45df80935a3b97",
            "windows": "1:341201262902:web:faceb51cb184a2875a3b97"
          }
        }
      }
    }
  },
  "functions": [
    {
      "source": "functions",
      "codebase": "default",
      "ignore": [
        "node_modules",
        ".git",
        "firebase-debug.log",
        "firebase-debug.*.log",
        "*.local"
      ]
    }
  ],
  "hosting": {
    "public": "build/web",
    "ignore": [
      "firebase.json",
      "**/.*",
      "**/node_modules/**"
    ],
    "headers": [
      {
        "source": "version.json",
        "headers": [
          {
            "key": "Access-Control-Allow-Origin",
            "value": "*"
          },
          {
            "key": "Access-Control-Allow-Methods",
            "value": "GET, OPTIONS"
          },
          {
            "key": "Cache-Control",
            "value": "no-cache, no-store, must-revalidate"
          }
        ]
      }
    ],
    "rewrites": [
      {
        "source": "**",
        "destination": "/index.html"
      }
    ]
  },
  "firestore": {
    "rules": "firestore.rules",
    "indexes": "firestore.indexes.json"
  },
  "emulators": {
    "functions": {
      "port": 5051
    },
    "firestore": {
      "port": 8088
    },
    "auth": {
      "port": 9199
    },
    "ui": {
      "enabled": true,
      "port": 4040
    },
    "singleProjectMode": true
  }
}
